<?php

namespace Drupal\purencool_default\Install;


use Drupal\shortcut\Entity\Shortcut;

/**
 * Class PurencoolInstallShortcut
 *
 * @package Drupal\purencool_default\Install
 */
class PurencoolInstallShortcut
{

  /**
   * Populate the default short cuts on install
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  public static function setShortcuts()
  {

    $shortcut = Shortcut::create([
      'shortcut_set' => 'default',
      'title' => t('Add content'),
      'weight' => 10,
      'link' => ['uri' => 'internal:/node/add'],
    ]);
    $shortcut->save();


    $shortcut = Shortcut::create([
      'shortcut_set' => 'default',
      'title' => t('All content'),
      'weight' => 15,
      'link' => ['uri' => 'internal:/admin/content'],
    ]);
    $shortcut->save();


    $shortcut = Shortcut::create([
      'shortcut_set' => 'default',
      'title' => t('Theme settings'),
      'weight' => 20,
      'link' => ['uri' => 'internal:/admin/appearance/settings/purencool_vision'],
    ]);
    $shortcut->save();


    $shortcut = Shortcut::create([
      'shortcut_set' => 'default',
      'title' => t('Reset website'),
      'weight' => 25,
      'link' => ['uri' => 'internal:/admin/flush'],
    ]);
    $shortcut->save();


    $shortcut = Shortcut::create([
      'shortcut_set' => 'default',
      'title' => t('Block library'),
      'weight' => 30,
      'link' => ['uri' => 'internal:/admin/structure/block/block-content'],
    ]);
    $shortcut->save();

  }
}
