/**
 * @file
 * Provides responsive behaviors to HTML details elements.
 */

(function($, Drupal) {

  /**
   *  Stops drupal from triggering  more than once
   */
  var initialized;

  function init() {
    if (!initialized) {
      $(window).bind('scroll', function () {
        if ($(window).scrollTop() > 50) {
          $('body').addClass('fixed-menu-scroll');
        } else {
          $('body').removeClass('fixed-menu-scroll');
        }
      });
    }
  }




  /**
   * Initializes the responsive behaviors for details elements.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches the responsive behavior to status report specific details elements.
   */
  Drupal.behaviors.purenool_vision = {
    attach: function() {
      $(document).once().ready(function () {
        init();
      });
    }
  };

}(jQuery, Drupal));
