<?php

namespace Drupal\purencool_vision_configuration\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'PurencoolAddLoginLinksBlock' block.
 *
 * @Block(
 *  id = "purencool_add_login_links_block",
 *  admin_label = @Translation("Purencool add login links block"),
 * )
 */
class PurencoolAddLoginLinksBlock extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    $themeSetting = theme_get_setting('add_login_link_top_menu');
    $output = t('Current this functionality is not checked in your theme settings under "Add Login Links"');
    if ($themeSetting) {
      if (\Drupal::currentUser()->isAuthenticated()) {
        $output = '<a href="/user/logout" title="Logout"><i class="fa fa-user-o fa-lg"></i>&nbsp;<span>Logout</span></a>';
      } else {
        $output = '<a href="/user/" title="Login"><i class="fa fa-user-o fa-lg"></i>&nbsp;<span>Login</span></a>';
      }
    }

    $build = [];
    $build['#theme'] = 'default_block';
    $build['default_block']['#markup'] = $output;

    return $build;
  }

}
