<?php

namespace Drupal\purencool_vision_configuration\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'PurencoolContactLinksServices' block.
 *
 * @Block(
 *  id = "purencool_contact_services_links_block",
 *  admin_label = @Translation("Purencool contact services links block"),
 * )
 */
class PurencoolContactServicesLinksBlock extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    /**
     * @todo turn this into OOP
     */

    $contact_title = theme_get_setting('contact_title');
    $address = theme_get_setting('address');
    $email = theme_get_setting('email');
    $phone = theme_get_setting('phone');
    $copyright = theme_get_setting('copyright');
    $facebook_url = theme_get_setting('facebook_url');
    $twitter_url = theme_get_setting('twitter_url');
    $linkedin_url = theme_get_setting('linkedin_url');
    $instagram_url = theme_get_setting('instagram_url');

    $output = '<div id="contact-services-links">';
    $output .= '<div class="content">';
    if ($facebook_url || $twitter_url || $linkedin_url || $email) {
      $output .= '<div class=social-icons>';
      if ($facebook_url) {
        $output .= '<a href="' . $facebook_url . '" class="a-facebook" target="_blank"><i class="fa fa-facebook-square fa-lg"></i></a>';
      }
      if ($instagram_url) {
        $output .= '<a href="' . $instagram_url . '" class="a-instagram" target="_blank"><i class="fa fa-instagram fa-lg"></i></a>';
      }

      if ($twitter_url) {
        $output .= '<a href="' . $twitter_url . '" class="a-twitter" target="_blank"><i class="fa fa-twitter-square fa-lg"></i></a>';
      }
      if ($linkedin_url) {
        $output .= ' <a href="' . $linkedin_url . '" class="a-linkedin" target="_blank"><i class="fa fa-linkedin-square fa-lg"></i></a>';
      }
      if ($email) {
        $output .= '<a href="mail:' . $email . '" class="a-envelope"><i class="fa fa-envelope-square fa-lg"></i></a>';
      }
      $output .= '</div>';
    }
    $output .= '</div>';
    $output .= '</div>';

    $build = [];
    $build['#theme'] = 'default_block';
    $build['default_block']['#markup'] = $output;

    return $build;
  }

}
