<?php

namespace Drupal\purencool_vision_configuration\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\file\Entity\File;

/**
 * Provides a 'PurencoolFooterLogoBlock' block.
 *
 * @Block(
 *  id = "purencool_footer_logo_block",
*  admin_label = @Translation("Purencool footer in logo block"),
 * )
 */
class PurencoolFooterLogoBlock extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    /**
     * @todo turn this into OOP
     */
    $fid = theme_get_setting('secondary_logo');

    if (!empty($fid)) {
      $file = File::load($fid[0]);
    }

    $output = t('You need to add a footer image to your theme for this to work');
    if (!empty($file)) {
      $url = $file->url();
      $output = '<img src="' . $url . '" alt="Second Logo"/>';
    }

    $build = [];
    $build['#theme'] = 'default_block';
    $build['default_block']['#markup'] = $output;

    return $build;
  }

}
