<?php

namespace Drupal\purencool_vision_configuration\ThemeSettings;


/**
 * Class PurencoolContactInformation
 * @package Drupal\purencool_vision_configuration\ThemeSettings
 */
class PurencoolContactInformation
{
  /**
   * @param $form
   */
  public static function getSettings(&$form)
  {

    if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
     return;
    }

    //creating setting for footer information
    $form['contact_information']['contact'] = array(
      '#type' => 'details',
      '#title' => t('Contact Information'),
      '#open' => FALSE,
    );
    $form['contact_information']['contact']['contact_title'] = array(
      '#type' => 'textfield',
      '#title' => t('Contact Title'),
      '#default_value' => theme_get_setting('contact_title'),
    );
    $form['contact_information']['contact']['address'] = array(
      '#type' => 'textarea',
      '#title' => t('Address'),
      '#default_value' => theme_get_setting('address'),
    );
    $form['contact_information']['contact']['email'] = array(
      '#type' => 'email',
      '#title' => t('Email'),
      '#default_value' => theme_get_setting('email'),
    );
    $form['contact_information']['contact']['phone'] = array(
      '#type' => 'tel',
      '#title' => t('Telephone'),
      '#default_value' => theme_get_setting('phone'),
    );


    $form['contact_information']['social_icon'] = array(
      '#type' => 'details',
      '#title' => t('Social Icons'),
      '#open' => FALSE,
    );
    $form['contact_information']['social_icon']['facebook_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Facebook URL'),
      '#default_value' => theme_get_setting('facebook_url'),
    );
    $form['contact_information']['social_icon']['instagram_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Instagram URL'),
      '#default_value' => theme_get_setting('instagram_url'),
    );
    $form['contact_information']['social_icon']['twitter_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Twitter URL'),
      '#default_value' => theme_get_setting('twitter_url'),
    );
    $form['contact_information']['social_icon']['linkedin_url'] = array(
      '#type' => 'textfield',
      '#title' => t('LinkedIn URL'),
      '#default_value' => theme_get_setting('linkedin_url'),
    );

  }
}
