<?php

namespace Drupal\purencool_vision_configuration\ThemeSettings;



/**
 * Class PurencoolSiteDesign
 * @package Drupal\purencool_vision_configuration\Preprocess
 */
class PurencoolSiteDesign
{
  /**
   * @param $form
   */
  public static function getSettings(&$form)
  {

    if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
     return;
    }

    $form['site_design'] = array(
      '#type' => 'details',
      '#title' => t('Site Design'),
      '#open' => FALSE,
    );
    $form['site_design']['menu']['fixed_menu'] = array(
      '#type' => 'checkbox',
      '#title' => t('Fixed menu to top of page when user scrolls'),
      '#default_value' => theme_get_setting('fixed_menu'),
    );
    $form['site_design']['menu']['menu_position_centered'] = array(
      '#type' => 'checkbox',
      '#title' => t('Center menu to middle of the page'),
      '#default_value' => theme_get_setting('menu_position_centered'),
    );
    $form['site_design']['logo']['logo_position_center'] = array(
      '#type' => 'checkbox',
      '#title' => t('Position logo in the center of the page'),
      '#default_value' => theme_get_setting('logo_position_center'),
    );
    $form['site_design']['logo']['site_name_hidden'] = array(
      '#type' => 'checkbox',
      '#title' => t('Hide websites site name from user'),
      '#default_value' => theme_get_setting('site_name_hidden'),
    );
    $form['site_design']['blocks']['blocks_full_page_width'] = array(
      '#type' => 'checkbox',
      '#title' => t('Extend blocks full width across the screen'),
      '#default_value' => theme_get_setting('blocks_full_page_width'),
    );

    $form['site_design']['footer_logo'] = array(
      '#type' => 'details',
      '#title' => t('Footer logo and position'),
      '#open' => FALSE,
    );
    //create setting for secondary logo
    $form['site_design']['footer_logo']['secondary_logo'] = array(
      '#type' => 'managed_file',
      '#title' => t('Secondary Logo'),
      '#required' => FALSE,
      '#upload_location' => 'public://',
      '#default_value' => theme_get_setting('secondary_logo'),
      '#upload_validators' => array(
        'file_validate_extensions' => array('gif png jpg jpeg'),
      ),
    );

    $form['site_design']['footer_logo']['logo_in_footer_first'] = array(
      '#type' => 'checkbox',
      '#title' => t('Place logo in first footer section'),
      '#default_value' => theme_get_setting('logo_in_footer_first'),
    );
    $form['site_design']['footer_logo']['logo_in_footer_second'] = array(
      '#type' => 'checkbox',
      '#title' => t('Place logo in second footer section'),
      '#default_value' => theme_get_setting('logo_in_footer_second'),
    );

    $form['site_design']['footer_logo']['logo_in_footer_third'] = array(
      '#type' => 'checkbox',
      '#title' => t('Place logo in third footer section'),
      '#default_value' => theme_get_setting('logo_in_footer_third'),
    );

    $form['site_design']['footer_logo']['logo_in_footer_forth'] = array(
      '#type' => 'checkbox',
      '#title' => t('Place logo in forth footer section'),
      '#default_value' => theme_get_setting('logo_in_footer_forth'),
    );

  }
}
